live data for wastegate #3588

This commit is contained in:
rusefillc 2021-11-23 15:02:03 -05:00
parent ead3853f9a
commit d21541934d
3 changed files with 198 additions and 0 deletions

View File

@ -0,0 +1,116 @@
// this section was generated automatically by rusEFI tool ConfigDefinition.jar based on (unknown script) controllers/actuators/boost_control.txt Tue Nov 23 15:01:13 EST 2021
// by class com.rusefi.output.CHeaderConsumer
// begin
#pragma once
#include "rusefi_types.h"
// start of boost_control_s
struct boost_control_s {
/**
offset 0 bit 0 */
bool isTpsValid : 1 {};
/**
offset 0 bit 1 */
bool m_shouldResetPid : 1 {};
/**
offset 0 bit 2 */
bool unusedBit_2_2 : 1 {};
/**
offset 0 bit 3 */
bool unusedBit_2_3 : 1 {};
/**
offset 0 bit 4 */
bool unusedBit_2_4 : 1 {};
/**
offset 0 bit 5 */
bool unusedBit_2_5 : 1 {};
/**
offset 0 bit 6 */
bool unusedBit_2_6 : 1 {};
/**
offset 0 bit 7 */
bool unusedBit_2_7 : 1 {};
/**
offset 0 bit 8 */
bool unusedBit_2_8 : 1 {};
/**
offset 0 bit 9 */
bool unusedBit_2_9 : 1 {};
/**
offset 0 bit 10 */
bool unusedBit_2_10 : 1 {};
/**
offset 0 bit 11 */
bool unusedBit_2_11 : 1 {};
/**
offset 0 bit 12 */
bool unusedBit_2_12 : 1 {};
/**
offset 0 bit 13 */
bool unusedBit_2_13 : 1 {};
/**
offset 0 bit 14 */
bool unusedBit_2_14 : 1 {};
/**
offset 0 bit 15 */
bool unusedBit_2_15 : 1 {};
/**
offset 0 bit 16 */
bool unusedBit_2_16 : 1 {};
/**
offset 0 bit 17 */
bool unusedBit_2_17 : 1 {};
/**
offset 0 bit 18 */
bool unusedBit_2_18 : 1 {};
/**
offset 0 bit 19 */
bool unusedBit_2_19 : 1 {};
/**
offset 0 bit 20 */
bool unusedBit_2_20 : 1 {};
/**
offset 0 bit 21 */
bool unusedBit_2_21 : 1 {};
/**
offset 0 bit 22 */
bool unusedBit_2_22 : 1 {};
/**
offset 0 bit 23 */
bool unusedBit_2_23 : 1 {};
/**
offset 0 bit 24 */
bool unusedBit_2_24 : 1 {};
/**
offset 0 bit 25 */
bool unusedBit_2_25 : 1 {};
/**
offset 0 bit 26 */
bool unusedBit_2_26 : 1 {};
/**
offset 0 bit 27 */
bool unusedBit_2_27 : 1 {};
/**
offset 0 bit 28 */
bool unusedBit_2_28 : 1 {};
/**
offset 0 bit 29 */
bool unusedBit_2_29 : 1 {};
/**
offset 0 bit 30 */
bool unusedBit_2_30 : 1 {};
/**
offset 0 bit 31 */
bool unusedBit_2_31 : 1 {};
/**
* offset 4
*/
float openLoopPart = (float)0;
/**
* offset 8
*/
float closedLoopPart = (float)0;
/** total size 12*/
};
// end
// this section was generated automatically by rusEFI tool ConfigDefinition.jar based on (unknown script) controllers/actuators/boost_control.txt Tue Nov 23 15:01:13 EST 2021

View File

@ -2,6 +2,9 @@
rm gen_live_documentation.log
bash gen_live_documentation_one_file.sh boost_control BoostControl.java controllers/actuators
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }
bash gen_live_documentation_one_file.sh ac_control AcControl.java controllers/actuators
[ $? -eq 0 ] || { echo "ERROR generating"; exit 1; }

View File

@ -0,0 +1,79 @@
package com.rusefi.config.generated;
// this file was generated automatically by rusEFI tool ConfigDefinition.jar based on (unknown script) controllers/actuators/boost_control.txt Tue Nov 23 15:01:13 EST 2021
// by class com.rusefi.output.FileJavaFieldsConsumer
import com.rusefi.config.*;
public class BoostControl {
public static final Field ISTPSVALID = Field.create("ISTPSVALID", 0, FieldType.BIT, 0);
public static final Field M_SHOULDRESETPID = Field.create("M_SHOULDRESETPID", 0, FieldType.BIT, 1);
public static final Field UNUSEDBIT_2_2 = Field.create("UNUSEDBIT_2_2", 0, FieldType.BIT, 2);
public static final Field UNUSEDBIT_2_3 = Field.create("UNUSEDBIT_2_3", 0, FieldType.BIT, 3);
public static final Field UNUSEDBIT_2_4 = Field.create("UNUSEDBIT_2_4", 0, FieldType.BIT, 4);
public static final Field UNUSEDBIT_2_5 = Field.create("UNUSEDBIT_2_5", 0, FieldType.BIT, 5);
public static final Field UNUSEDBIT_2_6 = Field.create("UNUSEDBIT_2_6", 0, FieldType.BIT, 6);
public static final Field UNUSEDBIT_2_7 = Field.create("UNUSEDBIT_2_7", 0, FieldType.BIT, 7);
public static final Field UNUSEDBIT_2_8 = Field.create("UNUSEDBIT_2_8", 0, FieldType.BIT, 8);
public static final Field UNUSEDBIT_2_9 = Field.create("UNUSEDBIT_2_9", 0, FieldType.BIT, 9);
public static final Field UNUSEDBIT_2_10 = Field.create("UNUSEDBIT_2_10", 0, FieldType.BIT, 10);
public static final Field UNUSEDBIT_2_11 = Field.create("UNUSEDBIT_2_11", 0, FieldType.BIT, 11);
public static final Field UNUSEDBIT_2_12 = Field.create("UNUSEDBIT_2_12", 0, FieldType.BIT, 12);
public static final Field UNUSEDBIT_2_13 = Field.create("UNUSEDBIT_2_13", 0, FieldType.BIT, 13);
public static final Field UNUSEDBIT_2_14 = Field.create("UNUSEDBIT_2_14", 0, FieldType.BIT, 14);
public static final Field UNUSEDBIT_2_15 = Field.create("UNUSEDBIT_2_15", 0, FieldType.BIT, 15);
public static final Field UNUSEDBIT_2_16 = Field.create("UNUSEDBIT_2_16", 0, FieldType.BIT, 16);
public static final Field UNUSEDBIT_2_17 = Field.create("UNUSEDBIT_2_17", 0, FieldType.BIT, 17);
public static final Field UNUSEDBIT_2_18 = Field.create("UNUSEDBIT_2_18", 0, FieldType.BIT, 18);
public static final Field UNUSEDBIT_2_19 = Field.create("UNUSEDBIT_2_19", 0, FieldType.BIT, 19);
public static final Field UNUSEDBIT_2_20 = Field.create("UNUSEDBIT_2_20", 0, FieldType.BIT, 20);
public static final Field UNUSEDBIT_2_21 = Field.create("UNUSEDBIT_2_21", 0, FieldType.BIT, 21);
public static final Field UNUSEDBIT_2_22 = Field.create("UNUSEDBIT_2_22", 0, FieldType.BIT, 22);
public static final Field UNUSEDBIT_2_23 = Field.create("UNUSEDBIT_2_23", 0, FieldType.BIT, 23);
public static final Field UNUSEDBIT_2_24 = Field.create("UNUSEDBIT_2_24", 0, FieldType.BIT, 24);
public static final Field UNUSEDBIT_2_25 = Field.create("UNUSEDBIT_2_25", 0, FieldType.BIT, 25);
public static final Field UNUSEDBIT_2_26 = Field.create("UNUSEDBIT_2_26", 0, FieldType.BIT, 26);
public static final Field UNUSEDBIT_2_27 = Field.create("UNUSEDBIT_2_27", 0, FieldType.BIT, 27);
public static final Field UNUSEDBIT_2_28 = Field.create("UNUSEDBIT_2_28", 0, FieldType.BIT, 28);
public static final Field UNUSEDBIT_2_29 = Field.create("UNUSEDBIT_2_29", 0, FieldType.BIT, 29);
public static final Field UNUSEDBIT_2_30 = Field.create("UNUSEDBIT_2_30", 0, FieldType.BIT, 30);
public static final Field UNUSEDBIT_2_31 = Field.create("UNUSEDBIT_2_31", 0, FieldType.BIT, 31);
public static final Field OPENLOOPPART = Field.create("OPENLOOPPART", 4, FieldType.FLOAT);
public static final Field CLOSEDLOOPPART = Field.create("CLOSEDLOOPPART", 8, FieldType.FLOAT);
public static final Field[] VALUES = {
ISTPSVALID,
M_SHOULDRESETPID,
UNUSEDBIT_2_2,
UNUSEDBIT_2_3,
UNUSEDBIT_2_4,
UNUSEDBIT_2_5,
UNUSEDBIT_2_6,
UNUSEDBIT_2_7,
UNUSEDBIT_2_8,
UNUSEDBIT_2_9,
UNUSEDBIT_2_10,
UNUSEDBIT_2_11,
UNUSEDBIT_2_12,
UNUSEDBIT_2_13,
UNUSEDBIT_2_14,
UNUSEDBIT_2_15,
UNUSEDBIT_2_16,
UNUSEDBIT_2_17,
UNUSEDBIT_2_18,
UNUSEDBIT_2_19,
UNUSEDBIT_2_20,
UNUSEDBIT_2_21,
UNUSEDBIT_2_22,
UNUSEDBIT_2_23,
UNUSEDBIT_2_24,
UNUSEDBIT_2_25,
UNUSEDBIT_2_26,
UNUSEDBIT_2_27,
UNUSEDBIT_2_28,
UNUSEDBIT_2_29,
UNUSEDBIT_2_30,
UNUSEDBIT_2_31,
OPENLOOPPART,
CLOSEDLOOPPART,
};
}